/**
 * Copyright (C) 2016 - 2017 youtongluan.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * 		http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.yx.listener;

public class SumkEvent {

	protected Object source;

	/**
	 * Constructs a prototypical Event.
	 *
	 * @param source
	 *            The object on which the Event initially occurred.
	 * @exception IllegalArgumentException
	 *                if source is null.
	 */
	public SumkEvent(Object source) {
		if (source == null)
			throw new IllegalArgumentException("null source");

		this.source = source;
	}

	/**
	 * The object on which the Event initially occurred.
	 *
	 * @return The object on which the Event initially occurred.
	 */
	public Object getSource() {
		return source;
	}
}
